# Metrics

## Get the current metrics for the running server

> Gets the metrics like memory consumption & allocation as well as response time histograms to use with monitoring tools

```json
{"openapi":"3.1.1","info":{"title":"Flagship Decision API","version":"2.0"},"servers":[{"url":"/v2"}],"paths":{"/metrics":{"get":{"description":"Gets the metrics like memory consumption & allocation as well as response time histograms to use with monitoring tools","operationId":"metrics","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/handlers.MetricsResponse"}}}}},"summary":"Get the current metrics for the running server","tags":["Metrics"]}}},"components":{"schemas":{"handlers.MetricsResponse":{"properties":{"cmdline":{"items":{"type":"string"},"type":"array"},"handlers.[name].errors":{"type":"number"},"handlers.[name].response_time.p50":{"type":"number"},"handlers.[name].response_time.p90":{"type":"number"},"handlers.[name].response_time.p95":{"type":"number"},"handlers.[name].response_time.p99":{"type":"number"},"memstats":{"additionalProperties":true,"type":"object"}},"type":"object"}}}}
```
